Name:		xbsql
Summary:	A SQL wrapper for xbase
Version:	0.11
Release:	5%{?dist}
Group:		Development/Libraries
License:	LGPL
URL:		http://www.quaking.demon.co.uk/xbsql/
Source0: 	http://www.rekallrevealed.org/packages/%{name}-%{version}.tgz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	xbase-devel, ncurses-devel, readline-devel
Patch0:		xbsql-0.11-ncurses64.patch

%description
XBSQL is a wrapper library which provides an SQL-subset interface to Xbase 
DBMS.

%package devel
Summary: XBSQL development libraries and headers
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: xbase-devel

%description devel
Headers and libraries for compiling programs that use the XBSQL library.

%prep
%setup -q
%patch0 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING doc/*.html README
%{_libdir}/*.so.*
%{_bindir}/xql

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a

%changelog
* Thu Aug 18 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.11-5
- fix 64 bit ncurses detection

* Thu Aug 18 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.11-4
- add the Requires: xbase-devel for the -devel package

* Mon Jul 18 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.11-3
- add BR: readline-devel

* Sun Jul 10 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.11-2
- shorten description
- add BuildRequires: ncurses-devel

* Fri Jun 17 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.11-1
- initial package for Fedora Extras
